var WeatherHandler = function() {}
WeatherHandler.prototype.updateWeather = function(document, weatherData) {
  document.getElementById('temperature').innerHTML = weatherData.temperature;
  document.getElementById('condition').innerHTML = weatherData.condition;
}

WeatherHandler.prototype.getWeatherData = function(document) {
  var lat = document.getElementById('lat').value;
  var lon = document.getElementById('lon').value;    
  var url = '/weather?lat=' + lat + "&lon=" +lon;

  var self = this;
  $.get(url, function(data) {
    self.updateWeather(document, data);
  });
}  


var registerEvents = function(document) {
  var weatherHandler = new WeatherHandler();
  document.getElementById('submit').onclick = function() { weatherHandler.getWeatherData(document); }
  return weatherHandler;
}